%global date 20121105
%global hash c55cb50
%global checkout %{date}git%{hash}
%global tarbase pmachata-dwlocstat-%{hash}

Name: dwlocstat
Version: 0.1
Release: 0.10.%{checkout}%{?dist}
Summary: Tool for examining Dwarf location info coverage

# The following files are dual-licensed:
#  dwarfstrings.h/.c, option.hh/.cc, iterators.hh
# The rest is GPLv3+ only.
License: GPLv3+ and LGPLv3+
URL: https://github.com/pmachata/dwlocstat
# wget the following with --content-disposition
Source0: https://github.com/pmachata/dwlocstat/tarball/%{hash}/%{tarbase}.tar.gz
Patch0:  dwlocstat-remove-DW_TAG_mutable_type.patch
# 0.153 defines DW_OP_GNU_entry_value
BuildRequires: elfutils-devel >= 0.153

%description
dwlocstat is a tool for examining Dwarf location info coverage.  It
goes through DIEs of given binary's debug info that represent
variables and function parameters.  For each such DIE, it computes
coverage of that DIE's range by location expressions.

%prep
%setup -q -n %{tarbase}
%patch0 -p1

%build
make %{?_smp_mflags} dwlocstat \
     CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 -t $RPM_BUILD_ROOT%{_bindir} dwlocstat
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 -t $RPM_BUILD_ROOT%{_mandir}/man1 %{name}.1

%check
./dwlocstat ./dwlocstat

%files
%doc COPYING COPYING-LGPLV3 README
%{_bindir}/dwlocstat
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.10.20121105gitc55cb50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.9.20121105gitc55cb50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1-0.8.20121105gitc55cb50
- Rebuilt for GCC 5 C++11 ABI change

* Fri Sep 05 2014 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 0.1-0.7.20121105gitc55cb50
- remove DW_TAG_mutable_type as it was removed from DWARF spec

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.6.20121105gitc55cb50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.20121105gitc55cb50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.4.20121105gitc55cb50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.20121105gitc55cb50
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov  5 2012 Petr Machata <pmachata@redhat.com> - 0.1-0.2.20121105gitc55cb50
- Clarify licensing
- Update to a new upstream, which unbundles several elfutils files

* Fri Oct 12 2012 Petr Machata <pmachata@redhat.com> - 0.1-0.1.20121012git4557c3e
- Initial packaging
